Packages - Bug #2984

linux-libre-lts does not boot with now-default zstd initrd compression
2021-02-26 11:24 PM - respiranto

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

mkinitcpio switched to zstd as default compression algorithm with
version 30, as announced in the Arch news [0]. This happened knowing
that, on Arch, linux-Ilts moved to version 5.10, with support for zstd.
However, on Parabola, linux-libre-lts is still at version 5.4, without
support for zstd. Furthermore, on armv7h, linux-libre is at version

5.8, also without support for zstd.

Hence, machines updated to the latest versions of mkinitcpio and
linux-libre-lts (or linux-libre on armv7h), and the default
mkinitcpio.conf will refuse to boot that kernel.

The natural workaround is to set COMPRESSION to some other value in
mkinitcpio.conf and to subsequently rebuild the initrd.

It is worth noting that linux-libre-Its is recommended in the
Installation Guide [1].

| suggest making an announcement in the news and/or adapting the default
mkinitcpio.conf.

History

#1 - 2021-02-26 11:25 PM - respiranto
Forgot the links:

[0] https://archlinux.org/news/moving-to-zstandard-images-by-default-on-mkinitcpio/
[1] https://wiki.parabola.nu/Installation_Guide#Install_a_kernel

#2 - 2021-03-01 02:27 AM - bill-auger

- Assignee set to Megver83

#3 - 2021-03-01 02:28 AM - bill-auger

- Status changed from unconfirmed to in progress

#4 - 2021-03-05 11:00 PM - bill-auger

- Assignee changed from Megver83 to bill-auger

fixed in linux-libre-lts 5.10.19

#5 - 2021-03-05 11:00 PM - bill-auger

- Status changed from in progress to fixed
